# File: Post.py
# 
# Copyright (c) 2005 by Weimar Desenvolvimento e Consultoria em Informatica
# Ltda (Brasil)
# Generator: ArchGenXML Version 1.4.0-beta2 devel 
#            http://plone.org/products/archgenxml
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Fabiano Weimar dos Santos <xiru@xiru.org>'''
__docformat__ = 'plaintext'


from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.Tabajara.BaseTabajara import BaseTabajara


from Products.TabajaraBlog.config import *
##code-section module-header #fill in your manual code here
##/code-section module-header

schema=Schema((
    TextField('description',
        widget=TextAreaWidget(
            label='Description',
            label_msgid='TabajaraBlog_label_description',
            description_msgid='TabajaraBlog_help_description',
            i18n_domain='TabajaraBlog',
        ),
        required=1,
        accessor="Description"
    ),

    DateTimeField('post_date',
        widget=CalendarWidget(
            label="Post Date",
            label_msgid='TabajaraBlog_label_post_date',
            description_msgid='TabajaraBlog_help_post_date',
            i18n_domain='TabajaraBlog',
        ),
        required=1
    ),

),
)


##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

Post_schema = BaseSchema + \
    getattr(BaseTabajara,'schema',Schema(())) + \
    schema

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class Post(BaseTabajara,BaseContent):
    """
    Post
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseTabajara,'__implements__',()),) + (getattr(BaseContent,'__implements__',()),)


    # This name appears in the 'add' box
    archetype_name             = 'Post'

    meta_type                  = 'Post'
    portal_type                = 'Post'
    allowed_content_types      = [] + list(getattr(BaseTabajara, 'allowed_content_types', []))
    filter_content_types       = 0
    global_allow               = 1
    allow_discussion           = 1
    #content_icon               = 'Post.gif'
    immediate_view             = 'base_view'
    default_view               = 'base_view'
    suppl_views                = ()
    typeDescription            = "Post"
    typeDescMsgId              = 'description_edit_post'

    schema = Post_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    #Methods

registerType(Post,PROJECTNAME)
# end of class Post

##code-section module-footer #fill in your manual code here
##/code-section module-footer



